// (C) 2025 GoodData Corporation
import React from "react";
/**
 * @internal
 */
export const useCombineRefs = (...refs) => {
    return React.useCallback((instance) => {
        refs.forEach((ref) => {
            if (!ref) {
                return;
            }
            if (typeof ref === "function") {
                ref(instance);
            }
            else {
                ref.current = instance;
            }
        });
        // This is actually correct
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, refs);
};
//# sourceMappingURL=useCombineRefs.js.map